#pragma once
#include "my_fastled.h"
#include "syslog.h"

//#define LOG(...) Serial.printf(__VA_ARGS__)
//#define LOGln(...) Serial.printf(__VA_ARGS__); Serial.println()

#ifdef SYSLOG_HOST
	#define LOGln(...) { char buffer[512]; snprintf(buffer, 512, __VA_ARGS__); syslog(buffer); Serial.println(buffer);}
#else
	#define LOGln(...) Serial.printf(__VA_ARGS__); Serial.println()
#endif


void clear_leds();
void set_all_leds(CRGB color);